# Contributing

Kimai is an open source project, contributions made by the community are welcome. 
Send your ideas, code reviews, pull requests and feature requests to help to improve this project.

## Pull request rules

- Apply our code-style by running `composer codestyle-fix`
- Run the static code analysis with `composer phpstan`
- Verify everything still works with `composer tests-unit` and `composer tests-integration`
- Add tests for your changes
- When sending in a PR, you must accept that your contributions/code will be published under MIT license (see the [LICENSE](LICENSE) file as well), otherwise your PR will be closed
- If one of the PR checks/builds fails, fix it before asking for a review

Further documentation can be found in the [developer documentation](https://www.kimai.org/documentation/developers.html).
